@mixin responsive($key) {
  @media screen and (min-width: map-get($breakpoints,$key)) {
    @content;
  }
}

$breakpoints: (
  tablet: 640px,
  laptop: 1024px,
);

.login {
  min-height: 100vh;
  &__image {
    min-height: 100vh;
    background-image: linear-gradient(rgba(0 0 0 / 0.6), rgba(0 0 0 / 0.6)),
      url(/assets/img/login-image.jpg);
    background-size: cover;
    background-position: bottom;
  }

  &__text {
    position: absolute;
    top: 30%;
    width: 100%;
    text-align: center;
  }
  @include responsive(laptop) {
    &__text {
      top: 60%;
    }
  }

  &__link {
    padding: 1em;
    font-weight: 600;
    border-radius: 2em;
    border: 3px solid var(--color-4);
    cursor: pointer;
  }
  @include responsive(laptop) {
    &__link {
      font-size: var(--font-size-2);
      transition: var(--animation-1);
    }
    &__link:hover {
      background-color: var(--color-4);
      color: var(--color-1);
    }
  }
}
.title {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-bottom: 1em;
  font-size: var(--font-size-2);
  &__logo {
    font-size: 60px;
    margin-right: 5px;
  }
  @include responsive(laptop) {
    font-size: var(--font-size-3);
  }
}
